Gallery Platform API
Reference

List work statuses

Returns the gallery's custom work-status vocabulary — labels mapped onto canonical availability states — ordered by position.

GET
/gallery/work-statuses

Returns the gallery's custom work-status vocabulary — labels mapped onto canonical availability states — ordered by position.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "label": "string",      "maps_to": "available",      "position": -9007199254740991,      "is_archived": true,      "created_at": "string",      "updated_at": "string"    }  ]}